#
# Conditional build:
%bcond_with	tests	# perform "make test" 
			# (requires working DNS - but may fail anyway, because of some NXDOMAIN)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Geo
%define		pnam	IP
Summary:	Geo::IP - look up country by IP Address
Summary(pl.UTF-8):	Geo::IP - odszukanie kraju po adresie IP
Name:		perl-Geo-IP
Version:	1.50
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Geo/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	546b7bec5ae2076b1640fddee98d5717
URL:		http://search.cpan.org/dist/Geo-IP/
BuildRequires:	GeoIP-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module uses a file based database. This database simply contains
IP blocks as keys, and countries as values. This database should be
more complete and accurate than reverse DNS lookups.

This module can be used to automatically select the geographically
closest mirror, to analyze your web server logs to determine the
countries of your visitors, for credit card fraud detection, and for
software export controls.

%description -l pl.UTF-8
Ten moduł używa bazy danych w postaci pliku. W bazie tej adresy IP są
kluczami, a państwa wartościami. Powinna ona być dokładniejsza niż
sprawdzanie odwrotnego DNS.

Ta biblioteka może być używana do automatycznego wyboru najbliższego
geograficznie mirrora, analizy logów serwera WWW w celu określenia
kraju, z którego pochodzą odwiedzający, do wykrywania oszustw
dotyczących kart kredytowych oraz kontroli eksportu oprogramowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Geo/IP/Record.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorarch}/Geo
%{perl_vendorarch}/Geo/*.pm
%dir %{perl_vendorarch}/Geo/IP
%{perl_vendorarch}/Geo/IP/*.pm
%dir %{perl_vendorarch}/auto/Geo
%dir %{perl_vendorarch}/auto/Geo/IP
%attr(755,root,root) %{perl_vendorarch}/auto/Geo/IP/IP.so
%{_mandir}/man3/Geo::*.3pm*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Geo-IP.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 29555dd
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 78a5b82
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 32a0ffb
- Up to 1.50

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 91ec3cc
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> ef86b87
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ff793a2
- x32 rebuild
- release 2 (by relup.sh)

* Mon Oct 06 2014 Elan Ruusamäe <glen@delfi.ee> f0b27c9
- up to 1.45

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 39bf7b5
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> be1d2a1
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bb8afae
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bc916a5
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> adae308
- up to 1.40

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 81bd87e
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 2297bb0
- release 3

* Sat Jun 05 2010 radek <radek@pld-linux.org> 8d7ab11
- release 2

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> da9a291
- updated to 1.38

* Sun Nov 09 2008 radek <radek@pld-linux.org> 8a62eb2
- version 1.35

* Sun Mar 02 2008 radek <radek@pld-linux.org> f99dfa5
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 59ecd82
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> abf7e99
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

